summaryrefslogtreecommitdiffstats
path: root/debian/open-infrastructure-system-boot.postinst
diff options
context:
space:
mode:
authorDaniel Baumann <daniel.baumann@progress-linux.org>2019-02-02 10:12:36 +0000
committerDaniel Baumann <daniel.baumann@progress-linux.org>2019-02-02 10:38:49 +0000
commit9bd164541265dc60b94627467b2953ae36e6b944 (patch)
treeefb432955dab2e69fb1a9601eeb0bd3c03d1a2ab /debian/open-infrastructure-system-boot.postinst
parentAdding upstream version 20190202. (diff)
downloadopen-infrastructure-system-tools-af33729b09f50558899b044b813035b995907044.tar.xz
open-infrastructure-system-tools-af33729b09f50558899b044b813035b995907044.zip
Adding debian version 20190202-1.debian/20190202-1
Signed-off-by: Daniel Baumann <daniel.baumann@progress-linux.org>
Diffstat (limited to 'debian/open-infrastructure-system-boot.postinst')
-rwxr-xr-xdebian/open-infrastructure-system-boot.postinst27
1 files changed, 27 insertions, 0 deletions
diff --git a/debian/open-infrastructure-system-boot.postinst b/debian/open-infrastructure-system-boot.postinst
new file mode 100755
index 0000000..35b9e86
--- /dev/null
+++ b/debian/open-infrastructure-system-boot.postinst
@@ -0,0 +1,27 @@
+#!/bin/sh
+
+set -e
+
+case "${1}" in
+ configure)
+ mkdir -p /etc/live/boot
+
+ if [ -x "$(which update-initramfs 2>/dev/null)" ] && [ -e /etc/initramfs-tools/initramfs.conf ]
+ then
+ update-initramfs -u
+ fi
+ ;;
+
+ abort-upgrade|abort-remove|abort-deconfigure)
+
+ ;;
+
+ *)
+ echo "postinst called with unknown argument \`${1}'" >&2
+ exit 1
+ ;;
+esac
+
+#DEBHELPER#
+
+exit 0